package com.brilliance.isc.bo.lg;


import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import com.brilliance.isc.bo.model.Nitp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitpamStoreBo extends BaseTransactionVo {

    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    //与前端模型保持一致
    private NitamepBo nitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private NitameInfoBo nitameInfo;

    private Ncdgrp ncdgrp;

    private AddbcbVo addbcb;

    private Nitp nitp;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (nitamep == null) {
            nitamep = new NitamepBo();
        }
        nitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (nitameInfo == null) {
            nitameInfo = new NitameInfoBo();
        }
        nitameInfo.reset();
        if (nitp == null){
            nitp = new Nitp();
        }
        if (addbcb == null){
            addbcb = new AddbcbVo();
        }
        if(ncdgrp == null){
            ncdgrp = new Ncdgrp();
        }
        ncdgrp.reset();
    }
}
